Bug 184371 - modality level of message boxes might cause problems
modality level of message boxes might cause problems
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
: 184372 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-08 05:15 EST by Juergen Bullinger
Modified: 2018-04-11 03:00 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-02 13:24:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Juergen Bullinger 2006-03-08 05:15:23 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; de; rv:1.8.0.1) Gecko/20060306 Fedora/1.5.0.1-7 Firefox/1.5.0.1

Description of problem:
If a message box appears like when you open the email editor to send a new email, enter something and close it using the system menu, the message seems to be application- or system modal (i don't know the correct term).
This means that all other evolution windows are blocked until this message is closed, but you still can switch to other evolution windows (and move the message window in the background).
If you have a lot of such windows open it is hard to find the one with the message.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. open evolution
2. open several evolution windows (e.g. to read messages in your inbox etc.) => don't start evolution multiple times, just open some child windows
3. cause a situation where a message pops up (e.g. by creating a new mail and closing it using the system menu close button in the upper right corner of the window)
4. switch to other evolution windows

  

Actual Results:  It is possible to switch to another evolution window, but it is "frozen" because of the modality

Expected Results:  Either it should not switch to other windows of evolution (e.g. always popup the message again)

or

change the "modality level" so that only the window causing the problem "freezes". (i guess it is system modal <-> application modal)

To me the second sounds better, but maybe it is not applicable.

Additional info:

Ok one might think if a user is that stupid to move some window in the backround it's their own fault, but if this happens for all message maybe also the automatic mail download each 10 Minutes could cause such a situation and probably the user wouldn't recognize this until he checked all evolution windows.

The situation really looks like evolution needs a 

killall evolution -KILL

I must admit, that I already did that :o)
Comment 1 Frank Arnold 2006-03-09 02:07:31 EST
*** Bug 184372 has been marked as a duplicate of this bug. ***
Comment 2 Matthew Miller 2007-04-06 13:04:11 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 3 Matěj Cepl 2007-08-31 11:22:49 EDT
The distribution against which this bug was reported is no longer supported,
could you please reproduce this with the updated version of the currently
supported distribution (Fedora Core 6, or Fedora 7, or Rawhide)? If this issue
turns out to still be reproducible, please let us know in this bug report.  If
after a month's time we have not heard back from you, we will have to close this
bug as INSUFFICIENT_DATA.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 4 Matthew Barnes 2007-10-02 13:24:37 EDT
Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.